MINOVAES - PRODUCT - Support #1788

[ESS Overtime] - Retro Date
11/08/2022 04:36 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/28/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Mas Azid,

Mohon dibantu untuk ESS Overtime di Product dan Silver Package yang sekarang Retro Date dan Correction Status nya tidak
terupdate. Berikut ketentuan untuk update Retro Date dan Correction Status.

1. Retro Date akan terupdate jika ada pengajuan ESS dengan tanggal sebelum Payroll Period. (Contoh: PayrollPeriod bulan 11, ada
pengajuan ESS bulan 10. Maka Retro Date akan terupdate dengan StartDate dari pengajuan ESS tersebut).

2. Jika ada pengajuan ESS kedua dengan tanggal sebelum tanggal pengajuan ESS pertama, maka Retro Date akan kembali
terupdate dengan tanggal pengajuan ESS. Retro date akan keupdate jika tanggal overtime lebih awal dari retro date
sebelumnya. (Contoh: PayrollPeriod bulan 11, Pengajuan pertama tgl 28 Oktober, maka RetroDate sudah terupdate menjadi
tanggal 28 Oktober. Kemudian ada pengajuan kedua ESS di tanggal 20 Juni, maka RetroDate akan terupdate dengan StartDate
ESS terbaru).

3. Jika ada pengajuan ESS ketiga, dengan tanggal sesudah tanggal pengajuan ESS kedua, maka Retro Date tidak akan terupdate
dengan tanggal pengajuan ESS. (Contoh: PayrollPeriod bulan 11, Pengajuan pertama tgl 28 Oktober, maka RetroDate sudah
terupdate menjadi tanggal 28 Oktober. Kemudian ada pengajuan kedua ESS di tanggal 20 Juni, maka RetroDate akan terupdate
dengan StartDate ESS 20 Juni. Pengajuan ketika ESS tgl 29 Oktober, maka RetroDate TIDAK terupdate dan tetap di tgl 20 Juni).

4. Jika ada data ESS Overtime di tanggal yang sama dengan PayrollPeriod maka RetroDate tidak terupdate. (Contoh: PayrollPeriod
bulan 11, pengajuan ESS bulan 11, maka RetroDate tidak terupdate)

5. Correction Status pasti terupdate jika ada pengajuan ESS yang masuk dengan kode Payroll = 1 di MDCON.

Port: http://demo.minovais.com:61199/
DB: 45.251.75.66 | MinovaES_Silver_Package

Port: http://remote.minovais.com:31133/
DB: remote.minovais.com,1442 | MinovaES_Product_2021

Terima kasih.

History

#1 - 11/08/2022 04:36 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 11/10/2022 05:19 PM - Fiona Avangeline Jonathan
- Project changed from HINO Bugs to MINOVAES - PRODUCT

- Description updated

#3 - 11/23/2022 05:23 PM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona ,

tolong tambahkan field di table essnya nanti di hide kaya bia
fieldnya yaitu

employeeld_OT

datefrom2

jangan lupa di fieldposnya juga untuk ke table 15 seperti bia

makasih
http://demo.minovais.com:61199/
http://remote.minovais.com:31133/

#4 - 11/24/2022 10:18 AM - Fiona Avangeline Jonathan
- File clipboard-202211241018-95i5v.png added

- File clipboard-202211241018-iklii.png added

- Status changed from Revise to Assigned

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

Mas Azid,

Sudah ditambahkan ya di Silver Package dan Product

BizFlowlD TaskiD BizProcessID MajorVersion FieldIn FieldEx Tableln TableEx
(GRS | prc_post MD_15  ESS_Owertime_AJTM 1 CorrectStatus CorrectionStatus  PHRPADDTS PDSWFMDOVE...
MD_Overtime_AJTM prc_post MD_15  ES5_Owertime_AJTM 1 EmployeelD EmployeelD_OT | PHRFADDS PDSWFMDOVE...
MD_Overtime_AJTM prc_post MD_15  ES5_Owertime_AJTM 1 RetroDate DateFrom2 PHRPADDTS PDSWFMDOVE...
WIN-PHETIO250)H...CMWFDEFFIELDPOS  WIN-PHETIO250). PCMWFDEFBIZDATA  WIN-PHETIO250). MWFDEFTABLEEODY KRN e A e T _
Column Alias Table Outp... Sort Type Sort Order Filter Or.. or.. Or.. ~
» TableName SDATATAE... | = 'PDSWFMDOVERTIME' :
FieldName SDATATAB... v
TaebleMName FieldName SeqMum DataRef DataType Length Prec Scale TableRef FixedValue SearchFunction  SearchType |sPrimarykey]
PDSWFMDOVERTIME Approver] 4 APPID1 0 30 0 0 PDSEMPDO0T 0 0
PDSWFMDOVERTIME Approver2 5 APPID2 0 30 ] 0] PDSEMPOO01 0 ]
PDSWFMDOVERTIME ConfirmationFlag ~ NULL 0 1 ] 0 y=VES|In=NO  NULL ]
PDSWFMDOVERTIME CorrectionStatus  NULL 0 1 ] 0 NULL ]
PDSWFMDOVERTIME DateFrom 1 DateFrom 0 8 0 0 0
3 PDSWFMDOVERTIME DateFrom2 1 DateFrom 0 8 0 (1] 0
PDSWFMDOVERTIME DateTo 1 DateTo 0 8 0 0 0
PDSWFMDOVERTIME DayBeforeFlag NULL DAVBFLAG 0 4 0 0 y=VES|In=NO  NULL 0
PDSWFMDOVERTIME DayType 4 DAYTYP 0 4 0 0 PHRTMDAVTYP 0 0
PDSWFMDOVERTIME Duration 2 DUR 3 5 0 2 0
PDSWFMDOVERTIME EmployeelD_OT 1 EMPID 0 18 0 0 PDSEMP0002 1
Terima kasih.

#5 - 12/07/2022 03:47 PM - M Azid Wahyudi
- File CondOTSaveMD15New.txt added
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudl to Fiona Avangeline Jonathan

Dear fiona , udah bisa di test sesuai skenario ya

note fungsional :

- tambah field form ess kebutuhannya buat posting
yaitu :

- datefrom2

- employeeld_OT

di deftask cond15 taskparamaternya : CondOTSaveMD15New
cek juga di table fieldposnya juga

package developer :
- di afterrender tambahkan

var body = MinovaUti. WORKFLOW.getViewBodyWorkflow();
var taskID = MinovaUtil. WORKFLOW.getTaskld();

var now = MinovaUtil.GetNowDate();

if (taskID 'start' || tasklD 'create’ || taskID ==") {

var emplID = MinovaUtil. WORKFLOW.getEmpld();
body.down('field[name=DateFrom2]').setValue(now);
body.down('field[name=EmployeelD_OT]').setValue(emplD);
}

terus tambah custparam
CondOTSaveMD15New
filenya di bawah

ProcessType = u di DEFTASK task posting
PK di DEFFIELDPOS hanya Employee ID saja.

makasih
#6 - 12/08/2022 10:59 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, semua skenario sudah di tes.

Terima kasih.

Files

clipboard-202211241018-95i5v.png 10.8 KB 11/24/2022 Fiona Avangeline Jonathan
clipboard-202211241018-iklii.png 45 KB 11/24/2022 Fiona Avangeline Jonathan
CondOTSaveMD15New.txt 5.49 KB 12/07/2022 M Azid Wahyudi
